

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.active_learning.psy_cris.utils.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.active_learning.psy_cris.utils"></span><dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.calc_performance">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">calc_performance</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">dfs_per_iter</span></em>, <em class="sig-param"><span class="n">cls_name</span><span class="o">=</span><span class="default_value">'linear'</span></em>, <em class="sig-param"><span class="n">regr_name</span><span class="o">=</span><span class="default_value">'rbf'</span></em>, <em class="sig-param"><span class="n">resolution</span><span class="o">=</span><span class="default_value">400</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">kwargs</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#calc_performance"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.calc_performance" title="Permalink to this definition">¶</a></dt>
<dd><p>Given a list of pandas DataFrames, iterate over them and
calculate the accuracy and confusion matrix for synthetic data sets.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>dfs_per_iter</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)"><em>list</em></a>) – List of pandas DataFrames containing training data
to train an classifier on and then compare to the
true background distribution.</p></li>
<li><p><strong>cls_name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a><em>, </em><em>optional</em>) – Name of classifier to train.</p></li>
<li><p><strong>resolution</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a><em>, </em><em>optional</em>) – Density per axis of the grid used to oversample the true background.</p></li>
<li><p><strong>verbose</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a><em>, </em><em>optional</em>) – Print some helpful info.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><ul class="simple">
<li><p><strong>acc_per_iter</strong> (<em>array</em>) – Array conatining overall accuracy of interpolator
per iteration of training data.</p></li>
<li><p><strong>conf_matrix_per_iter</strong> (<em>list</em>) – List of confusion matricies per iteration. Calculated
using ‘get_confusion_matrix’.</p></li>
<li><p><strong>regr_acc_per_iter</strong> (<em>list</em>) – List of regression accuracy terms.</p></li>
</ul>
</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.calc_regression_accuracy">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">calc_regression_accuracy</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">all_regr_abs_frac_diffs</span></em>, <em class="sig-param"><span class="n">cdf_cutoff_limits</span><span class="o">=</span><span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#calc_regression_accuracy"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.calc_regression_accuracy" title="Permalink to this definition">¶</a></dt>
<dd><p>For a given distribution of absolute fractional differences: calculate the
the fractional change at which the cdf_cutoff is below.</p>
<p>For 50% of the data set, the range of frac diffs is [0,?].</p>
<p>(What is not being asked: For a frac diff of 10% what fraction of the data
has a frac diff &lt;= that number. )</p>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.check_dist">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">check_dist</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">original</span></em>, <em class="sig-param"><span class="n">proposed</span></em>, <em class="sig-param"><span class="n">threshold</span><span class="o">=</span><span class="default_value">1e-05</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#check_dist"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.check_dist" title="Permalink to this definition">¶</a></dt>
<dd><p>Checks euclidean distance between the original and proposed points.
Proposed points a distance &gt;= threshold are accepted.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>original</strong> (<em>ndarray</em>) – Original points previously run.</p></li>
<li><p><strong>proposed</strong> (<em>ndarray</em>) – Proposed points for new simulations.</p></li>
<li><p><strong>threshold</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a><em>, </em><em>optional</em>) – The theshold distance between acceptance and rejection.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>proposed_above_thresh_for_all_original</strong> – True if the distance between the proposed point is &gt;= threshold.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)">bool</a>, array</p>
</dd>
</dl>
<p class="rubric">Notes</p>
<p>The purpose of this function is to not propose points that are some
threshold away from already accepted points.</p>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.do_dynamic_sampling">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">do_dynamic_sampling</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">N_final_points</span><span class="o">=</span><span class="default_value">100</span></em>, <em class="sig-param"><span class="n">new_points_per_iter</span><span class="o">=</span><span class="default_value">20</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">threshold</span><span class="o">=</span><span class="default_value">1e-05</span></em>, <em class="sig-param"><span class="n">N_starting_points</span><span class="o">=</span><span class="default_value">100</span></em>, <em class="sig-param"><span class="n">jitter</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">dim</span><span class="o">=</span><span class="default_value">2</span></em>, <em class="sig-param"><span class="n">length_scale_mult</span><span class="o">=</span><span class="default_value">0.33</span></em>, <em class="sig-param"><span class="n">percent_increase</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">show_plots</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">all_kwargs</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#do_dynamic_sampling"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.do_dynamic_sampling" title="Permalink to this definition">¶</a></dt>
<dd><p>For a given number of starting and ending points, run the cris algorithm iteratively
in step sizes of new_points_per_iter. After each iteration, query points are identified
using the original 2D snythetic data set.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>N_starting_points</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Number of starting points to being cris iterations on a 2D grid
sampled from the original 2D synthetic data set.</p></li>
<li><p><strong>N_final_points</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Number of points to converge to after iterating with cris.</p></li>
<li><p><strong>new_points_per_iter</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a><em>, </em><em>array-like</em>) – For every iteration, the number of new query points for cris to propose.</p></li>
<li><p><strong>threshold</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – New query points are ommited from the next iteration if their euclidean
distance to other data points is less than the threshold.</p></li>
<li><p><strong>jitter</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – Default False, for the starting grid jitter about the center randomly in
the range of +/- the 1/2 the bin width in each dimesnion.</p></li>
<li><p><strong>verbose</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – Print useful things.</p></li>
<li><p><strong>show_plots</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – Show plots of proposed points and training points each iteration.</p></li>
<li><p><strong>all_kwargs</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Dictionary of all_kwargs passed to get_new_query_points defining
how every part of the cris algorithm is implemented.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.do_small_class_proposal">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">do_small_class_proposal</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">table_data</span></em>, <em class="sig-param"><span class="n">n_neighbors</span></em>, <em class="sig-param"><span class="n">n_new_points</span><span class="o">=</span><span class="default_value">1</span></em>, <em class="sig-param"><span class="n">length_scale_mult</span><span class="o">=</span><span class="default_value">0.33</span></em>, <em class="sig-param"><span class="n">neighbor</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#do_small_class_proposal"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.do_small_class_proposal" title="Permalink to this definition">¶</a></dt>
<dd><p>Handles proposals where only one point exists for a class and
regression is requested. Otherwise the interpolators will fail.
Drawn from a gaussian around the point with length scale given by
the average distance between nearest neighbors (in each axis).</p>
<dl class="simple">
<dt>data<span class="classifier">ndarray</span></dt><dd><p>Data to train the NearestNeighbors class on.</p>
</dd>
<dt>n_neighbors<span class="classifier">int</span></dt><dd><p>Number of neighbors to use when finding average distance.</p>
</dd>
<dt>neighbor<span class="classifier">instance of NearestNeightbors class</span></dt><dd><p>For passing your own object.</p>
</dd>
</dl>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p><strong>proposed_points</strong> – Points sampled around classes with 1 value.
Points are distributed as evenly as possible across all 1 value
classes by default.
Returns None in case of no small classes found.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>array</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.get_confusion_matrix">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">get_confusion_matrix</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">preds</span></em>, <em class="sig-param"><span class="n">actual</span></em>, <em class="sig-param"><span class="n">all_classes</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#get_confusion_matrix"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.get_confusion_matrix" title="Permalink to this definition">¶</a></dt>
<dd><p>Given a list of predicted values and actual values. Calculate a confusion matrix.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>preds</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)"><em>list</em></a>) – Predicted values from the classifier.</p></li>
<li><p><strong>actual</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)"><em>list</em></a>) – True values from the underlying distribution.</p></li>
<li><p><strong>all_classes</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)"><em>list</em></a>) – A list of all unique classes.
Should be either np.unique(actual) or a subset thereof.</p></li>
<li><p><strong>verbose</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a><em>, </em><em>optional</em>) – Print our the line by line confusion matrix prefixed with the class.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>confusion_matrix</strong> – Rows and columns of confusion matrix in order and number given in ‘all_classes’.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>ndarray</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.get_new_query_points">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">get_new_query_points</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">N_new_points</span><span class="o">=</span><span class="default_value">1</span></em>, <em class="sig-param"><span class="n">TableData_kwargs</span><span class="o">=</span><span class="default_value">{}</span></em>, <em class="sig-param"><span class="n">Classifier_kwargs</span><span class="o">=</span><span class="default_value">{}</span></em>, <em class="sig-param"><span class="n">Regressor_kwargs</span><span class="o">=</span><span class="default_value">{}</span></em>, <em class="sig-param"><span class="n">Sampler_kwargs</span><span class="o">=</span><span class="default_value">{}</span></em>, <em class="sig-param"><span class="n">Proposal_kwargs</span><span class="o">=</span><span class="default_value">{}</span></em>, <em class="sig-param"><span class="n">length_scale_mult</span><span class="o">=</span><span class="default_value">0.33</span></em>, <em class="sig-param"><span class="n">threshold</span><span class="o">=</span><span class="default_value">1e-05</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">kwargs</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#get_new_query_points"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.get_new_query_points" title="Permalink to this definition">¶</a></dt>
<dd><p>Run the psy-cris algorithm to propose new query points to be labeled.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>N_new_points</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a><em>, </em><em>optional</em>) – Number of new query points desired.</p></li>
<li><p><strong>TableData_kwargs</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a><em>, </em><em>optional</em>) – Kwargs used for initializing TableData.</p></li>
<li><p><strong>Classifier_kwargs</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a><em>, </em><em>optional</em>) – Kwargs used for the Classifier method ‘train_everything’.</p></li>
<li><p><strong>Regressor_kwargs</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a><em>, </em><em>optional</em>) – Kwargs used the Regressor method ‘train_everything’.</p></li>
<li><p><strong>Sampler_kwargs</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a><em>, </em><em>optinal</em>) – Kwargs used for choosing Sampler target distribution and the method ‘run_PTMCMC’.</p></li>
<li><p><strong>Proposal_kwargs</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a><em>, </em><em>optional</em>) – Kwargs used in the Sampler method ‘get_proposed_points’ and the Classifier
method ‘get_class_predictions’.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><ul class="simple">
<li><p><strong>proposed_points</strong> (<em>ndarray</em>) – Now query points.</p></li>
<li><p><strong>pred_class</strong> (<em>array</em>) – For all proposed points, the best prediction from the trained classifier.</p></li>
</ul>
</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.get_prediction_diffs">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">get_prediction_diffs</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">training_df</span></em>, <em class="sig-param"><span class="n">classifier_name</span><span class="o">=</span><span class="default_value">'linear'</span></em>, <em class="sig-param"><span class="n">regressor_name</span><span class="o">=</span><span class="default_value">'linear'</span></em>, <em class="sig-param"><span class="n">N</span><span class="o">=</span><span class="default_value">400</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">kwargs</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#get_prediction_diffs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.get_prediction_diffs" title="Permalink to this definition">¶</a></dt>
<dd><p>From a DataFrame of training data, train a classifier and get both
the predicitons and actual classification in the classification space
where the analytic function is defined. Also calculate the difference
between the true regression function and that infered from the trainined
regressor. Dimensionality is infered from ‘training_df’.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>training_df</strong> (<em>pandas DataFrame</em>) – DataFrame of training data, a subset of the true distribution.</p></li>
<li><p><strong>classifier_name</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Name of the classification algorithm to use.</p></li>
<li><p><strong>N</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Sets the (N**dim) resolution of points used to query the trained classifier.</p></li>
<li><p><strong>verbose</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a><em>, </em><em>optional</em>) – Print more useful information.</p></li>
<li><p><strong>timer</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a><em>, </em><em>optional</em>) – Print timing diagnostic information.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><ul class="simple">
<li><p><strong>pred_class</strong> (<em>array</em>) – 1D array of predictions from the trained classifier.</p></li>
<li><p><strong>true_class_result</strong> (<em>array</em>) – 1D array of the true classification for the corresponding points.</p></li>
<li><p><strong>all_regr_acc_per_class</strong> (<em>dict</em>) – Dict of lists with regression accuracy values per class and combined.</p></li>
</ul>
</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.get_random_grid_df">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">get_random_grid_df</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">N</span></em>, <em class="sig-param"><span class="n">dim</span><span class="o">=</span><span class="default_value">2</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#get_random_grid_df"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.get_random_grid_df" title="Permalink to this definition">¶</a></dt>
<dd><p>Given N total points, produce a randomly sampled grid drawn
from the analytic data set (2D or 3D).</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>N</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Total number of points to drawn from a 2D random data set</p></li>
<li><p><strong>dim</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Dimensionality of synthetic data set. (2 or 3)</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>random_df</strong> – DataFrame of true data drawn from the analytic classification
and regression functions.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>pandas DataFrame</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.get_regular_grid_df">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">get_regular_grid_df</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">N</span><span class="o">=</span><span class="default_value">100</span></em>, <em class="sig-param"><span class="n">jitter</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">N_ppa</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">dim</span><span class="o">=</span><span class="default_value">2</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#get_regular_grid_df"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.get_regular_grid_df" title="Permalink to this definition">¶</a></dt>
<dd><p>Given N total points, produce an even grid with
approximately the same number of evenly spaced points sampled
from the analytic data set (2D or 3D).</p>
<p>The number of returned grid points is N only if N is a perfect square.
Otherwise use N_ppa to define number of points per axis.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>N</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Total number of points to make into a 2D even grid</p></li>
<li><p><strong>jitter</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a><em>, </em><em>optional</em>) – Place the center of the grid randomly around (0,0) in the range of
+/- 1/2 bin width while keeping the span in each axis at 6.</p></li>
<li><p><strong>N_ppa</strong> (<em>array</em><em>, </em><em>optional</em>) – Numbers of points per axis. If provided, it overrides N.</p></li>
<li><p><strong>dim</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a><em>, </em><em>optional</em>) – Dimensionality of synthetic data set. (2 or 3)</p></li>
<li><p><strong>verbose</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a><em>, </em><em>optional</em>) – Print some diagnostics.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>extra_points</strong> – DataFrame of true data drawn from the analytic classification
and regression functions.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>pandas DataFrame</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.parse_inifile">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">parse_inifile</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">path</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#parse_inifile"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.parse_inifile" title="Permalink to this definition">¶</a></dt>
<dd><p>Parse an ini file to run psy-cris method ‘get_new_query_points’.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>path</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Path to ini file.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><strong>all_kwargs_dict</strong> – Nested dictionary of parsed inifile kwargs.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)">dict</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.plot_proposed_points_2D">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">plot_proposed_points_2D</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">where_to_cut</span></em>, <em class="sig-param"><span class="n">num_loops</span></em>, <em class="sig-param"><span class="n">random_init_pos</span></em>, <em class="sig-param"><span class="n">my_data</span></em>, <em class="sig-param"><span class="n">where_good_bools</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#plot_proposed_points_2D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.plot_proposed_points_2D" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.utils.plot_proposed_points_3D">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.utils.</code><code class="sig-name descname">plot_proposed_points_3D</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">where_to_cut</span></em>, <em class="sig-param"><span class="n">num_loops</span></em>, <em class="sig-param"><span class="n">random_init_pos</span></em>, <em class="sig-param"><span class="n">my_data</span></em>, <em class="sig-param"><span class="n">where_good_bools</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/utils.html#plot_proposed_points_3D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.utils.plot_proposed_points_3D" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>